import request from '@/utils/request'

// 查询工单个人分数明细列表
export function listOrderScoreDetail(query) {
  return request({
    url: '/gxt/orderScoreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询工单个人分数明细详细
export function getOrderScoreDetail(id) {
  return request({
    url: '/gxt/orderScoreDetail/' + id,
    method: 'get'
  })
}

// 新增工单个人分数明细
export function addOrderScoreDetail(data) {
  return request({
    url: '/gxt/orderScoreDetail',
    method: 'post',
    data: data
  })
}

// 修改工单个人分数明细
export function updateOrderScoreDetail(data) {
  return request({
    url: '/gxt/orderScoreDetail',
    method: 'put',
    data: data
  })
}

// 删除工单个人分数明细
export function delOrderScoreDetail(id) {
  return request({
    url: '/gxt/orderScoreDetail/' + id,
    method: 'delete'
  })
}
